// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: tango_enums.proto

#ifndef PROTOBUF_tango_5fenums_2eproto__INCLUDED
#define PROTOBUF_tango_5fenums_2eproto__INCLUDED

#include <string>

#include <google/protobuf/stubs/common.h>

#if GOOGLE_PROTOBUF_VERSION < 3005000
#error This file was generated by a newer version of protoc which is
#error incompatible with your Protocol Buffer headers.  Please update
#error your headers.
#endif
#if 3005000 < GOOGLE_PROTOBUF_MIN_PROTOC_VERSION
#error This file was generated by an older version of protoc which is
#error incompatible with your Protocol Buffer headers.  Please
#error regenerate this file with a newer version of protoc.
#endif

#include <google/protobuf/io/coded_stream.h>
#include <google/protobuf/arena.h>
#include <google/protobuf/arenastring.h>
#include <google/protobuf/generated_message_table_driven.h>
#include <google/protobuf/generated_message_util.h>
#include <google/protobuf/metadata.h>
#include <google/protobuf/repeated_field.h>  // IWYU pragma: export
#include <google/protobuf/extension_set.h>  // IWYU pragma: export
#include <google/protobuf/generated_enum_reflection.h>
// @@protoc_insertion_point(includes)

namespace protobuf_tango_5fenums_2eproto {
// Internal implementation detail -- do not use these members.
struct TableStruct {
  static const ::google::protobuf::internal::ParseTableField entries[];
  static const ::google::protobuf::internal::AuxillaryParseTableField aux[];
  static const ::google::protobuf::internal::ParseTable schema[1];
  static const ::google::protobuf::internal::FieldMetadata field_metadata[];
  static const ::google::protobuf::internal::SerializationTable serialization_table[];
  static const ::google::protobuf::uint32 offsets[];
};
void AddDescriptors();
inline void InitDefaults() {
}
}  // namespace protobuf_tango_5fenums_2eproto
namespace mascot {
}  // namespace mascot
namespace mascot {

enum DevState {
  ON = 0,
  OFF = 1,
  CLOSE = 2,
  OPEN = 3,
  INSERT = 4,
  EXTRACT = 5,
  MOVING = 6,
  STANDBY = 7,
  FAULT = 8,
  INIT = 9,
  RUNNING = 10,
  ALARM = 11,
  DISABLE = 12,
  UNKNOWN = 13,
  DevState_INT_MIN_SENTINEL_DO_NOT_USE_ = ::google::protobuf::kint32min,
  DevState_INT_MAX_SENTINEL_DO_NOT_USE_ = ::google::protobuf::kint32max
};
bool DevState_IsValid(int value);
const DevState DevState_MIN = ON;
const DevState DevState_MAX = UNKNOWN;
const int DevState_ARRAYSIZE = DevState_MAX + 1;

const ::google::protobuf::EnumDescriptor* DevState_descriptor();
inline const ::std::string& DevState_Name(DevState value) {
  return ::google::protobuf::internal::NameOfEnum(
    DevState_descriptor(), value);
}
inline bool DevState_Parse(
    const ::std::string& name, DevState* value) {
  return ::google::protobuf::internal::ParseNamedEnum<DevState>(
    DevState_descriptor(), name, value);
}
enum CmdArgType {
  DevVoid = 0,
  DevBoolean = 1,
  DevShort = 2,
  DevLong = 3,
  DevFloat = 4,
  DevDouble = 5,
  DevUShort = 6,
  DevULong = 7,
  DevString = 8,
  DevVarCharArray = 9,
  DevVarShortArray = 10,
  DevVarLongArray = 11,
  DevVarFloatArray = 12,
  DevVarDoubleArray = 13,
  DevVarUShortArray = 14,
  DevVarULongArray = 15,
  DevVarStringArray = 16,
  DevVarLongStringArray = 17,
  DevVarDoubleStringArray = 18,
  DevStates = 19,
  ConstDevString = 20,
  DevVarBooleanArray = 21,
  DevUChar = 22,
  DevLong64 = 23,
  DevULong64 = 24,
  DevVarLong64Array = 25,
  DevVarULong64Array = 26,
  DevInt = 27,
  DevEncoded = 28,
  DevEnum = 29,
  DevPipeBlob = 30,
  CmdArgType_INT_MIN_SENTINEL_DO_NOT_USE_ = ::google::protobuf::kint32min,
  CmdArgType_INT_MAX_SENTINEL_DO_NOT_USE_ = ::google::protobuf::kint32max
};
bool CmdArgType_IsValid(int value);
const CmdArgType CmdArgType_MIN = DevVoid;
const CmdArgType CmdArgType_MAX = DevPipeBlob;
const int CmdArgType_ARRAYSIZE = CmdArgType_MAX + 1;

const ::google::protobuf::EnumDescriptor* CmdArgType_descriptor();
inline const ::std::string& CmdArgType_Name(CmdArgType value) {
  return ::google::protobuf::internal::NameOfEnum(
    CmdArgType_descriptor(), value);
}
inline bool CmdArgType_Parse(
    const ::std::string& name, CmdArgType* value) {
  return ::google::protobuf::internal::ParseNamedEnum<CmdArgType>(
    CmdArgType_descriptor(), name, value);
}
enum MessBoxType {
  STOP = 0,
  INFO = 1,
  MessBoxType_INT_MIN_SENTINEL_DO_NOT_USE_ = ::google::protobuf::kint32min,
  MessBoxType_INT_MAX_SENTINEL_DO_NOT_USE_ = ::google::protobuf::kint32max
};
bool MessBoxType_IsValid(int value);
const MessBoxType MessBoxType_MIN = STOP;
const MessBoxType MessBoxType_MAX = INFO;
const int MessBoxType_ARRAYSIZE = MessBoxType_MAX + 1;

const ::google::protobuf::EnumDescriptor* MessBoxType_descriptor();
inline const ::std::string& MessBoxType_Name(MessBoxType value) {
  return ::google::protobuf::internal::NameOfEnum(
    MessBoxType_descriptor(), value);
}
inline bool MessBoxType_Parse(
    const ::std::string& name, MessBoxType* value) {
  return ::google::protobuf::internal::ParseNamedEnum<MessBoxType>(
    MessBoxType_descriptor(), name, value);
}
enum PollObjType {
  POLL_CMD = 0,
  POLL_ATTR = 1,
  EVENT_HEARTBEAT = 2,
  STORE_SUBDEV = 3,
  PollObjType_INT_MIN_SENTINEL_DO_NOT_USE_ = ::google::protobuf::kint32min,
  PollObjType_INT_MAX_SENTINEL_DO_NOT_USE_ = ::google::protobuf::kint32max
};
bool PollObjType_IsValid(int value);
const PollObjType PollObjType_MIN = POLL_CMD;
const PollObjType PollObjType_MAX = STORE_SUBDEV;
const int PollObjType_ARRAYSIZE = PollObjType_MAX + 1;

const ::google::protobuf::EnumDescriptor* PollObjType_descriptor();
inline const ::std::string& PollObjType_Name(PollObjType value) {
  return ::google::protobuf::internal::NameOfEnum(
    PollObjType_descriptor(), value);
}
inline bool PollObjType_Parse(
    const ::std::string& name, PollObjType* value) {
  return ::google::protobuf::internal::ParseNamedEnum<PollObjType>(
    PollObjType_descriptor(), name, value);
}
enum PollCmdCode {
  POLL_ADD_OBJ = 0,
  POLL_REM_OBJ = 1,
  POLL_START = 2,
  POLL_STOP = 3,
  POLL_UPD_PERIOD = 4,
  POLL_REM_DEV = 5,
  POLL_EXIT = 6,
  POLL_REM_EXT_TRIG_OBJ = 7,
  POLL_ADD_HEARTBEAT = 8,
  POLL_REM_HEARTBEAT = 9,
  PollCmdCode_INT_MIN_SENTINEL_DO_NOT_USE_ = ::google::protobuf::kint32min,
  PollCmdCode_INT_MAX_SENTINEL_DO_NOT_USE_ = ::google::protobuf::kint32max
};
bool PollCmdCode_IsValid(int value);
const PollCmdCode PollCmdCode_MIN = POLL_ADD_OBJ;
const PollCmdCode PollCmdCode_MAX = POLL_REM_HEARTBEAT;
const int PollCmdCode_ARRAYSIZE = PollCmdCode_MAX + 1;

const ::google::protobuf::EnumDescriptor* PollCmdCode_descriptor();
inline const ::std::string& PollCmdCode_Name(PollCmdCode value) {
  return ::google::protobuf::internal::NameOfEnum(
    PollCmdCode_descriptor(), value);
}
inline bool PollCmdCode_Parse(
    const ::std::string& name, PollCmdCode* value) {
  return ::google::protobuf::internal::ParseNamedEnum<PollCmdCode>(
    PollCmdCode_descriptor(), name, value);
}
enum SerialModel {
  BY_DEVICE = 0,
  BY_enum = 1,
  BY_PROCESS = 2,
  NO_SYNC = 3,
  SerialModel_INT_MIN_SENTINEL_DO_NOT_USE_ = ::google::protobuf::kint32min,
  SerialModel_INT_MAX_SENTINEL_DO_NOT_USE_ = ::google::protobuf::kint32max
};
bool SerialModel_IsValid(int value);
const SerialModel SerialModel_MIN = BY_DEVICE;
const SerialModel SerialModel_MAX = NO_SYNC;
const int SerialModel_ARRAYSIZE = SerialModel_MAX + 1;

const ::google::protobuf::EnumDescriptor* SerialModel_descriptor();
inline const ::std::string& SerialModel_Name(SerialModel value) {
  return ::google::protobuf::internal::NameOfEnum(
    SerialModel_descriptor(), value);
}
inline bool SerialModel_Parse(
    const ::std::string& name, SerialModel* value) {
  return ::google::protobuf::internal::ParseNamedEnum<SerialModel>(
    SerialModel_descriptor(), name, value);
}
enum AttReqType {
  READ_REQ = 0,
  WRITE_REQ = 1,
  AttReqType_INT_MIN_SENTINEL_DO_NOT_USE_ = ::google::protobuf::kint32min,
  AttReqType_INT_MAX_SENTINEL_DO_NOT_USE_ = ::google::protobuf::kint32max
};
bool AttReqType_IsValid(int value);
const AttReqType AttReqType_MIN = READ_REQ;
const AttReqType AttReqType_MAX = WRITE_REQ;
const int AttReqType_ARRAYSIZE = AttReqType_MAX + 1;

const ::google::protobuf::EnumDescriptor* AttReqType_descriptor();
inline const ::std::string& AttReqType_Name(AttReqType value) {
  return ::google::protobuf::internal::NameOfEnum(
    AttReqType_descriptor(), value);
}
inline bool AttReqType_Parse(
    const ::std::string& name, AttReqType* value) {
  return ::google::protobuf::internal::ParseNamedEnum<AttReqType>(
    AttReqType_descriptor(), name, value);
}
enum LockCmdCode {
  LOCK_ADD_DEV = 0,
  LOCK_REM_DEV = 1,
  LOCK_UNLOCK_ALL_EXIT = 2,
  LOCK_EXIT = 3,
  LockCmdCode_INT_MIN_SENTINEL_DO_NOT_USE_ = ::google::protobuf::kint32min,
  LockCmdCode_INT_MAX_SENTINEL_DO_NOT_USE_ = ::google::protobuf::kint32max
};
bool LockCmdCode_IsValid(int value);
const LockCmdCode LockCmdCode_MIN = LOCK_ADD_DEV;
const LockCmdCode LockCmdCode_MAX = LOCK_EXIT;
const int LockCmdCode_ARRAYSIZE = LockCmdCode_MAX + 1;

const ::google::protobuf::EnumDescriptor* LockCmdCode_descriptor();
inline const ::std::string& LockCmdCode_Name(LockCmdCode value) {
  return ::google::protobuf::internal::NameOfEnum(
    LockCmdCode_descriptor(), value);
}
inline bool LockCmdCode_Parse(
    const ::std::string& name, LockCmdCode* value) {
  return ::google::protobuf::internal::ParseNamedEnum<LockCmdCode>(
    LockCmdCode_descriptor(), name, value);
}
enum LogLevel {
  LOG_OFF = 0,
  LOG_FATAL = 1,
  LOG_ERROR = 2,
  LOG_WARN = 3,
  LOG_INFO = 4,
  LOG_DEBUG = 5,
  LogLevel_INT_MIN_SENTINEL_DO_NOT_USE_ = ::google::protobuf::kint32min,
  LogLevel_INT_MAX_SENTINEL_DO_NOT_USE_ = ::google::protobuf::kint32max
};
bool LogLevel_IsValid(int value);
const LogLevel LogLevel_MIN = LOG_OFF;
const LogLevel LogLevel_MAX = LOG_DEBUG;
const int LogLevel_ARRAYSIZE = LogLevel_MAX + 1;

const ::google::protobuf::EnumDescriptor* LogLevel_descriptor();
inline const ::std::string& LogLevel_Name(LogLevel value) {
  return ::google::protobuf::internal::NameOfEnum(
    LogLevel_descriptor(), value);
}
inline bool LogLevel_Parse(
    const ::std::string& name, LogLevel* value) {
  return ::google::protobuf::internal::ParseNamedEnum<LogLevel>(
    LogLevel_descriptor(), name, value);
}
enum LogTarget {
  LOG_CONSOLE = 0,
  LOG_FILE = 1,
  LOG_DEVICE = 2,
  LogTarget_INT_MIN_SENTINEL_DO_NOT_USE_ = ::google::protobuf::kint32min,
  LogTarget_INT_MAX_SENTINEL_DO_NOT_USE_ = ::google::protobuf::kint32max
};
bool LogTarget_IsValid(int value);
const LogTarget LogTarget_MIN = LOG_CONSOLE;
const LogTarget LogTarget_MAX = LOG_DEVICE;
const int LogTarget_ARRAYSIZE = LogTarget_MAX + 1;

const ::google::protobuf::EnumDescriptor* LogTarget_descriptor();
inline const ::std::string& LogTarget_Name(LogTarget value) {
  return ::google::protobuf::internal::NameOfEnum(
    LogTarget_descriptor(), value);
}
inline bool LogTarget_Parse(
    const ::std::string& name, LogTarget* value) {
  return ::google::protobuf::internal::ParseNamedEnum<LogTarget>(
    LogTarget_descriptor(), name, value);
}
enum EventType {
  CHANGE_EVENT = 0,
  QUALITY_EVENT = 1,
  PERIODIC_EVENT = 2,
  ARCHIVE_EVENT = 3,
  USER_EVENT = 4,
  ATTR_CONF_EVENT = 5,
  DATA_READY_EVENT = 6,
  INTERFACE_CHANGE_EVENT = 7,
  PIPE_EVENT = 8,
  EventType_INT_MIN_SENTINEL_DO_NOT_USE_ = ::google::protobuf::kint32min,
  EventType_INT_MAX_SENTINEL_DO_NOT_USE_ = ::google::protobuf::kint32max
};
bool EventType_IsValid(int value);
const EventType EventType_MIN = CHANGE_EVENT;
const EventType EventType_MAX = PIPE_EVENT;
const int EventType_ARRAYSIZE = EventType_MAX + 1;

const ::google::protobuf::EnumDescriptor* EventType_descriptor();
inline const ::std::string& EventType_Name(EventType value) {
  return ::google::protobuf::internal::NameOfEnum(
    EventType_descriptor(), value);
}
inline bool EventType_Parse(
    const ::std::string& name, EventType* value) {
  return ::google::protobuf::internal::ParseNamedEnum<EventType>(
    EventType_descriptor(), name, value);
}
enum KeepAliveCmdCode {
  EXIT_TH = 0,
  KeepAliveCmdCode_INT_MIN_SENTINEL_DO_NOT_USE_ = ::google::protobuf::kint32min,
  KeepAliveCmdCode_INT_MAX_SENTINEL_DO_NOT_USE_ = ::google::protobuf::kint32max
};
bool KeepAliveCmdCode_IsValid(int value);
const KeepAliveCmdCode KeepAliveCmdCode_MIN = EXIT_TH;
const KeepAliveCmdCode KeepAliveCmdCode_MAX = EXIT_TH;
const int KeepAliveCmdCode_ARRAYSIZE = KeepAliveCmdCode_MAX + 1;

const ::google::protobuf::EnumDescriptor* KeepAliveCmdCode_descriptor();
inline const ::std::string& KeepAliveCmdCode_Name(KeepAliveCmdCode value) {
  return ::google::protobuf::internal::NameOfEnum(
    KeepAliveCmdCode_descriptor(), value);
}
inline bool KeepAliveCmdCode_Parse(
    const ::std::string& name, KeepAliveCmdCode* value) {
  return ::google::protobuf::internal::ParseNamedEnum<KeepAliveCmdCode>(
    KeepAliveCmdCode_descriptor(), name, value);
}
enum AccessControlType {
  ACCESS_READ = 0,
  ACCESS_WRITE = 1,
  AccessControlType_INT_MIN_SENTINEL_DO_NOT_USE_ = ::google::protobuf::kint32min,
  AccessControlType_INT_MAX_SENTINEL_DO_NOT_USE_ = ::google::protobuf::kint32max
};
bool AccessControlType_IsValid(int value);
const AccessControlType AccessControlType_MIN = ACCESS_READ;
const AccessControlType AccessControlType_MAX = ACCESS_WRITE;
const int AccessControlType_ARRAYSIZE = AccessControlType_MAX + 1;

const ::google::protobuf::EnumDescriptor* AccessControlType_descriptor();
inline const ::std::string& AccessControlType_Name(AccessControlType value) {
  return ::google::protobuf::internal::NameOfEnum(
    AccessControlType_descriptor(), value);
}
inline bool AccessControlType_Parse(
    const ::std::string& name, AccessControlType* value) {
  return ::google::protobuf::internal::ParseNamedEnum<AccessControlType>(
    AccessControlType_descriptor(), name, value);
}
enum asyn_req_type {
  POLLING = 0,
  CALLBACK = 1,
  ALL_ASYNCH = 2,
  asyn_req_type_INT_MIN_SENTINEL_DO_NOT_USE_ = ::google::protobuf::kint32min,
  asyn_req_type_INT_MAX_SENTINEL_DO_NOT_USE_ = ::google::protobuf::kint32max
};
bool asyn_req_type_IsValid(int value);
const asyn_req_type asyn_req_type_MIN = POLLING;
const asyn_req_type asyn_req_type_MAX = ALL_ASYNCH;
const int asyn_req_type_ARRAYSIZE = asyn_req_type_MAX + 1;

const ::google::protobuf::EnumDescriptor* asyn_req_type_descriptor();
inline const ::std::string& asyn_req_type_Name(asyn_req_type value) {
  return ::google::protobuf::internal::NameOfEnum(
    asyn_req_type_descriptor(), value);
}
inline bool asyn_req_type_Parse(
    const ::std::string& name, asyn_req_type* value) {
  return ::google::protobuf::internal::ParseNamedEnum<asyn_req_type>(
    asyn_req_type_descriptor(), name, value);
}
enum cb_sub_model {
  PUSH_CALLBACK = 0,
  PULL_CALLBACK = 1,
  cb_sub_model_INT_MIN_SENTINEL_DO_NOT_USE_ = ::google::protobuf::kint32min,
  cb_sub_model_INT_MAX_SENTINEL_DO_NOT_USE_ = ::google::protobuf::kint32max
};
bool cb_sub_model_IsValid(int value);
const cb_sub_model cb_sub_model_MIN = PUSH_CALLBACK;
const cb_sub_model cb_sub_model_MAX = PULL_CALLBACK;
const int cb_sub_model_ARRAYSIZE = cb_sub_model_MAX + 1;

const ::google::protobuf::EnumDescriptor* cb_sub_model_descriptor();
inline const ::std::string& cb_sub_model_Name(cb_sub_model value) {
  return ::google::protobuf::internal::NameOfEnum(
    cb_sub_model_descriptor(), value);
}
inline bool cb_sub_model_Parse(
    const ::std::string& name, cb_sub_model* value) {
  return ::google::protobuf::internal::ParseNamedEnum<cb_sub_model>(
    cb_sub_model_descriptor(), name, value);
}
enum AttrQuality {
  ATTR_VALID = 0,
  ATTR_INVALID = 1,
  ATTR_ALARM = 2,
  ATTR_CHANGING = 3,
  ATTR_WARNING = 4,
  AttrQuality_INT_MIN_SENTINEL_DO_NOT_USE_ = ::google::protobuf::kint32min,
  AttrQuality_INT_MAX_SENTINEL_DO_NOT_USE_ = ::google::protobuf::kint32max
};
bool AttrQuality_IsValid(int value);
const AttrQuality AttrQuality_MIN = ATTR_VALID;
const AttrQuality AttrQuality_MAX = ATTR_WARNING;
const int AttrQuality_ARRAYSIZE = AttrQuality_MAX + 1;

const ::google::protobuf::EnumDescriptor* AttrQuality_descriptor();
inline const ::std::string& AttrQuality_Name(AttrQuality value) {
  return ::google::protobuf::internal::NameOfEnum(
    AttrQuality_descriptor(), value);
}
inline bool AttrQuality_Parse(
    const ::std::string& name, AttrQuality* value) {
  return ::google::protobuf::internal::ParseNamedEnum<AttrQuality>(
    AttrQuality_descriptor(), name, value);
}
enum AttrWriteType {
  READ = 0,
  READ_WITH_WRITE = 1,
  WRITE = 2,
  READ_WRITE = 3,
  AttrWriteType_INT_MIN_SENTINEL_DO_NOT_USE_ = ::google::protobuf::kint32min,
  AttrWriteType_INT_MAX_SENTINEL_DO_NOT_USE_ = ::google::protobuf::kint32max
};
bool AttrWriteType_IsValid(int value);
const AttrWriteType AttrWriteType_MIN = READ;
const AttrWriteType AttrWriteType_MAX = READ_WRITE;
const int AttrWriteType_ARRAYSIZE = AttrWriteType_MAX + 1;

const ::google::protobuf::EnumDescriptor* AttrWriteType_descriptor();
inline const ::std::string& AttrWriteType_Name(AttrWriteType value) {
  return ::google::protobuf::internal::NameOfEnum(
    AttrWriteType_descriptor(), value);
}
inline bool AttrWriteType_Parse(
    const ::std::string& name, AttrWriteType* value) {
  return ::google::protobuf::internal::ParseNamedEnum<AttrWriteType>(
    AttrWriteType_descriptor(), name, value);
}
enum AttrDataFormat {
  SCALAR = 0,
  SPECTRUM = 1,
  IMAGE = 2,
  FMT_UNKNOWN = 3,
  AttrDataFormat_INT_MIN_SENTINEL_DO_NOT_USE_ = ::google::protobuf::kint32min,
  AttrDataFormat_INT_MAX_SENTINEL_DO_NOT_USE_ = ::google::protobuf::kint32max
};
bool AttrDataFormat_IsValid(int value);
const AttrDataFormat AttrDataFormat_MIN = SCALAR;
const AttrDataFormat AttrDataFormat_MAX = FMT_UNKNOWN;
const int AttrDataFormat_ARRAYSIZE = AttrDataFormat_MAX + 1;

const ::google::protobuf::EnumDescriptor* AttrDataFormat_descriptor();
inline const ::std::string& AttrDataFormat_Name(AttrDataFormat value) {
  return ::google::protobuf::internal::NameOfEnum(
    AttrDataFormat_descriptor(), value);
}
inline bool AttrDataFormat_Parse(
    const ::std::string& name, AttrDataFormat* value) {
  return ::google::protobuf::internal::ParseNamedEnum<AttrDataFormat>(
    AttrDataFormat_descriptor(), name, value);
}
enum PipeWriteType {
  PIPE_READ = 0,
  PIPE_READ_WRITE = 1,
  PipeWriteType_INT_MIN_SENTINEL_DO_NOT_USE_ = ::google::protobuf::kint32min,
  PipeWriteType_INT_MAX_SENTINEL_DO_NOT_USE_ = ::google::protobuf::kint32max
};
bool PipeWriteType_IsValid(int value);
const PipeWriteType PipeWriteType_MIN = PIPE_READ;
const PipeWriteType PipeWriteType_MAX = PIPE_READ_WRITE;
const int PipeWriteType_ARRAYSIZE = PipeWriteType_MAX + 1;

const ::google::protobuf::EnumDescriptor* PipeWriteType_descriptor();
inline const ::std::string& PipeWriteType_Name(PipeWriteType value) {
  return ::google::protobuf::internal::NameOfEnum(
    PipeWriteType_descriptor(), value);
}
inline bool PipeWriteType_Parse(
    const ::std::string& name, PipeWriteType* value) {
  return ::google::protobuf::internal::ParseNamedEnum<PipeWriteType>(
    PipeWriteType_descriptor(), name, value);
}
enum DevSource {
  DEV = 0,
  CACHE = 1,
  CACHE_DEV = 2,
  DevSource_INT_MIN_SENTINEL_DO_NOT_USE_ = ::google::protobuf::kint32min,
  DevSource_INT_MAX_SENTINEL_DO_NOT_USE_ = ::google::protobuf::kint32max
};
bool DevSource_IsValid(int value);
const DevSource DevSource_MIN = DEV;
const DevSource DevSource_MAX = CACHE_DEV;
const int DevSource_ARRAYSIZE = DevSource_MAX + 1;

const ::google::protobuf::EnumDescriptor* DevSource_descriptor();
inline const ::std::string& DevSource_Name(DevSource value) {
  return ::google::protobuf::internal::NameOfEnum(
    DevSource_descriptor(), value);
}
inline bool DevSource_Parse(
    const ::std::string& name, DevSource* value) {
  return ::google::protobuf::internal::ParseNamedEnum<DevSource>(
    DevSource_descriptor(), name, value);
}
enum ErrSeverity {
  WARN = 0,
  ERR = 1,
  PANIC = 2,
  ErrSeverity_INT_MIN_SENTINEL_DO_NOT_USE_ = ::google::protobuf::kint32min,
  ErrSeverity_INT_MAX_SENTINEL_DO_NOT_USE_ = ::google::protobuf::kint32max
};
bool ErrSeverity_IsValid(int value);
const ErrSeverity ErrSeverity_MIN = WARN;
const ErrSeverity ErrSeverity_MAX = PANIC;
const int ErrSeverity_ARRAYSIZE = ErrSeverity_MAX + 1;

const ::google::protobuf::EnumDescriptor* ErrSeverity_descriptor();
inline const ::std::string& ErrSeverity_Name(ErrSeverity value) {
  return ::google::protobuf::internal::NameOfEnum(
    ErrSeverity_descriptor(), value);
}
inline bool ErrSeverity_Parse(
    const ::std::string& name, ErrSeverity* value) {
  return ::google::protobuf::internal::ParseNamedEnum<ErrSeverity>(
    ErrSeverity_descriptor(), name, value);
}
enum DispLevel {
  OPERATOR = 0,
  EXPERT = 1,
  DispLevel_INT_MIN_SENTINEL_DO_NOT_USE_ = ::google::protobuf::kint32min,
  DispLevel_INT_MAX_SENTINEL_DO_NOT_USE_ = ::google::protobuf::kint32max
};
bool DispLevel_IsValid(int value);
const DispLevel DispLevel_MIN = OPERATOR;
const DispLevel DispLevel_MAX = EXPERT;
const int DispLevel_ARRAYSIZE = DispLevel_MAX + 1;

const ::google::protobuf::EnumDescriptor* DispLevel_descriptor();
inline const ::std::string& DispLevel_Name(DispLevel value) {
  return ::google::protobuf::internal::NameOfEnum(
    DispLevel_descriptor(), value);
}
inline bool DispLevel_Parse(
    const ::std::string& name, DispLevel* value) {
  return ::google::protobuf::internal::ParseNamedEnum<DispLevel>(
    DispLevel_descriptor(), name, value);
}
enum GreenMode {
  Synchronous = 0,
  Futures = 1,
  Gevent = 2,
  GreenMode_INT_MIN_SENTINEL_DO_NOT_USE_ = ::google::protobuf::kint32min,
  GreenMode_INT_MAX_SENTINEL_DO_NOT_USE_ = ::google::protobuf::kint32max
};
bool GreenMode_IsValid(int value);
const GreenMode GreenMode_MIN = Synchronous;
const GreenMode GreenMode_MAX = Gevent;
const int GreenMode_ARRAYSIZE = GreenMode_MAX + 1;

const ::google::protobuf::EnumDescriptor* GreenMode_descriptor();
inline const ::std::string& GreenMode_Name(GreenMode value) {
  return ::google::protobuf::internal::NameOfEnum(
    GreenMode_descriptor(), value);
}
inline bool GreenMode_Parse(
    const ::std::string& name, GreenMode* value) {
  return ::google::protobuf::internal::ParseNamedEnum<GreenMode>(
    GreenMode_descriptor(), name, value);
}
// ===================================================================


// ===================================================================


// ===================================================================

#ifdef __GNUC__
  #pragma GCC diagnostic push
  #pragma GCC diagnostic ignored "-Wstrict-aliasing"
#endif  // __GNUC__
#ifdef __GNUC__
  #pragma GCC diagnostic pop
#endif  // __GNUC__

// @@protoc_insertion_point(namespace_scope)

}  // namespace mascot

namespace google {
namespace protobuf {

template <> struct is_proto_enum< ::mascot::DevState> : ::google::protobuf::internal::true_type {};
template <>
inline const EnumDescriptor* GetEnumDescriptor< ::mascot::DevState>() {
  return ::mascot::DevState_descriptor();
}
template <> struct is_proto_enum< ::mascot::CmdArgType> : ::google::protobuf::internal::true_type {};
template <>
inline const EnumDescriptor* GetEnumDescriptor< ::mascot::CmdArgType>() {
  return ::mascot::CmdArgType_descriptor();
}
template <> struct is_proto_enum< ::mascot::MessBoxType> : ::google::protobuf::internal::true_type {};
template <>
inline const EnumDescriptor* GetEnumDescriptor< ::mascot::MessBoxType>() {
  return ::mascot::MessBoxType_descriptor();
}
template <> struct is_proto_enum< ::mascot::PollObjType> : ::google::protobuf::internal::true_type {};
template <>
inline const EnumDescriptor* GetEnumDescriptor< ::mascot::PollObjType>() {
  return ::mascot::PollObjType_descriptor();
}
template <> struct is_proto_enum< ::mascot::PollCmdCode> : ::google::protobuf::internal::true_type {};
template <>
inline const EnumDescriptor* GetEnumDescriptor< ::mascot::PollCmdCode>() {
  return ::mascot::PollCmdCode_descriptor();
}
template <> struct is_proto_enum< ::mascot::SerialModel> : ::google::protobuf::internal::true_type {};
template <>
inline const EnumDescriptor* GetEnumDescriptor< ::mascot::SerialModel>() {
  return ::mascot::SerialModel_descriptor();
}
template <> struct is_proto_enum< ::mascot::AttReqType> : ::google::protobuf::internal::true_type {};
template <>
inline const EnumDescriptor* GetEnumDescriptor< ::mascot::AttReqType>() {
  return ::mascot::AttReqType_descriptor();
}
template <> struct is_proto_enum< ::mascot::LockCmdCode> : ::google::protobuf::internal::true_type {};
template <>
inline const EnumDescriptor* GetEnumDescriptor< ::mascot::LockCmdCode>() {
  return ::mascot::LockCmdCode_descriptor();
}
template <> struct is_proto_enum< ::mascot::LogLevel> : ::google::protobuf::internal::true_type {};
template <>
inline const EnumDescriptor* GetEnumDescriptor< ::mascot::LogLevel>() {
  return ::mascot::LogLevel_descriptor();
}
template <> struct is_proto_enum< ::mascot::LogTarget> : ::google::protobuf::internal::true_type {};
template <>
inline const EnumDescriptor* GetEnumDescriptor< ::mascot::LogTarget>() {
  return ::mascot::LogTarget_descriptor();
}
template <> struct is_proto_enum< ::mascot::EventType> : ::google::protobuf::internal::true_type {};
template <>
inline const EnumDescriptor* GetEnumDescriptor< ::mascot::EventType>() {
  return ::mascot::EventType_descriptor();
}
template <> struct is_proto_enum< ::mascot::KeepAliveCmdCode> : ::google::protobuf::internal::true_type {};
template <>
inline const EnumDescriptor* GetEnumDescriptor< ::mascot::KeepAliveCmdCode>() {
  return ::mascot::KeepAliveCmdCode_descriptor();
}
template <> struct is_proto_enum< ::mascot::AccessControlType> : ::google::protobuf::internal::true_type {};
template <>
inline const EnumDescriptor* GetEnumDescriptor< ::mascot::AccessControlType>() {
  return ::mascot::AccessControlType_descriptor();
}
template <> struct is_proto_enum< ::mascot::asyn_req_type> : ::google::protobuf::internal::true_type {};
template <>
inline const EnumDescriptor* GetEnumDescriptor< ::mascot::asyn_req_type>() {
  return ::mascot::asyn_req_type_descriptor();
}
template <> struct is_proto_enum< ::mascot::cb_sub_model> : ::google::protobuf::internal::true_type {};
template <>
inline const EnumDescriptor* GetEnumDescriptor< ::mascot::cb_sub_model>() {
  return ::mascot::cb_sub_model_descriptor();
}
template <> struct is_proto_enum< ::mascot::AttrQuality> : ::google::protobuf::internal::true_type {};
template <>
inline const EnumDescriptor* GetEnumDescriptor< ::mascot::AttrQuality>() {
  return ::mascot::AttrQuality_descriptor();
}
template <> struct is_proto_enum< ::mascot::AttrWriteType> : ::google::protobuf::internal::true_type {};
template <>
inline const EnumDescriptor* GetEnumDescriptor< ::mascot::AttrWriteType>() {
  return ::mascot::AttrWriteType_descriptor();
}
template <> struct is_proto_enum< ::mascot::AttrDataFormat> : ::google::protobuf::internal::true_type {};
template <>
inline const EnumDescriptor* GetEnumDescriptor< ::mascot::AttrDataFormat>() {
  return ::mascot::AttrDataFormat_descriptor();
}
template <> struct is_proto_enum< ::mascot::PipeWriteType> : ::google::protobuf::internal::true_type {};
template <>
inline const EnumDescriptor* GetEnumDescriptor< ::mascot::PipeWriteType>() {
  return ::mascot::PipeWriteType_descriptor();
}
template <> struct is_proto_enum< ::mascot::DevSource> : ::google::protobuf::internal::true_type {};
template <>
inline const EnumDescriptor* GetEnumDescriptor< ::mascot::DevSource>() {
  return ::mascot::DevSource_descriptor();
}
template <> struct is_proto_enum< ::mascot::ErrSeverity> : ::google::protobuf::internal::true_type {};
template <>
inline const EnumDescriptor* GetEnumDescriptor< ::mascot::ErrSeverity>() {
  return ::mascot::ErrSeverity_descriptor();
}
template <> struct is_proto_enum< ::mascot::DispLevel> : ::google::protobuf::internal::true_type {};
template <>
inline const EnumDescriptor* GetEnumDescriptor< ::mascot::DispLevel>() {
  return ::mascot::DispLevel_descriptor();
}
template <> struct is_proto_enum< ::mascot::GreenMode> : ::google::protobuf::internal::true_type {};
template <>
inline const EnumDescriptor* GetEnumDescriptor< ::mascot::GreenMode>() {
  return ::mascot::GreenMode_descriptor();
}

}  // namespace protobuf
}  // namespace google

// @@protoc_insertion_point(global_scope)

#endif  // PROTOBUF_tango_5fenums_2eproto__INCLUDED
